#include<bits/stdc++.h>
using namespace std;
int countDigit(int n) 
{ 
    int count = 0; 
    while (n != 0) { 
        n = n / 10; 
        ++count; 
    } 
    return count; 
} 
main()
{
	int k,n,l,q,j,p=0;
	scanf("%d",&q);
	int a[q],b[q],c[q];
	for(int i=0;i<q;i++)
	{
		scanf("%d%d%d",&a[i],&b[i],&c[i]);
	}
	for(int i=0;i<q;i++)
		if(a[i]==b[i])
		{
			n=a[i];
			char rez[n];
			int x=c[i]-1;   
			for(j=0;x>0;j++)    
			{    
				a[j]=x%2;    
				x=x/2;    
			}      
			for(j=j-1;j>=0;j--)    
			{    
				p=p*10+a[j];  
			}    
			int brCif=countDigit(p);
			if(n-brCif>=0)
			{
				for(j=0;j<brCif;j++)
				{
					if(p%10==0)
						rez[j]='(';
					else
						rez[j]=')';
					p=p/10;
				}
				for(j=brCif;j<n;j++)
				{
					rez[j]='(';
				}
				for(j=n-1;j>=0;j--)
				{
					printf("%c",rez[j]);
				}
				printf("\n");
			}
			else
			{
				printf("Ne postoji");
				return 0;
			}
		}
}